From: Arthur Diniz <arthurbdiniz@gmail.com>
Date: Sun, 15 Oct 2023 15:21:22 +0100
Subject: Replace facette.io/natsort dependency to github path,
Forwarded: not-needed

This patch replaces the golang dependency from facette.io/natsort to
github.com/facette/natsort.

The issue arises due to a discrepancy between declared import paths and actual
imports in golang-github-facette-natsort Debian package, leading to failures
for packages importing facette.io/natsort.

https://salsa.debian.org/go-team/packages/golang-github-facette-natsort/-/blob/master/debian/control?ref_type=heads#L13

The resolution involves creating a patch to correct the import path mismatch,
ensuring compatibility with that Debian package.

Signed-off-by: Arthur Diniz <arthurbdiniz@gmail.com>
---
 cmd/kubectx/list.go | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/cmd/kubectx/list.go b/cmd/kubectx/list.go
index f3893f1..5dd335d 100644
--- a/cmd/kubectx/list.go
+++ b/cmd/kubectx/list.go
@@ -18,7 +18,7 @@ import (
 	"fmt"
 	"io"
 
-	"facette.io/natsort"
+	"github.com/facette/natsort"
 	"github.com/pkg/errors"
 
 	"github.com/ahmetb/kubectx/internal/cmdutil"
